Bug 150275 - internal compiler error: Segmentation fault
internal compiler error: Segmentation fault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-03 22:27 EST by elvis
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-04 04:56:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description elvis 2005-03-03 22:27:19 EST
Description of problem:

Just installed FC2. I've downloaded MPlayer but wouldnt compile(seg
fault(internal compiler error).  I also tried to built a bzImage of
the kernel but same think.  It looks like i doen't compile anything.

Version-Release number of selected component (if applicable):
gcc -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/3.3.3/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--disable-checking --disable-libunwind-exceptions --with-system-zlib
--enable-__cxa_atexit --host=i386-redhat-linux
Thread model: posix
gcc version 3.3.3 20040412 (Red Hat Linux 3.3.3-7)


How reproducible:
Everytime

Steps to Reproduce:
1.make
motion_est.c: In function `ff_estimate_motion_b':
motion_est.c:1463: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.

  
Actual results:


Expected results:


Additional info:

cat /proc/cpuinfo

processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 6
model name      : AMD Athlon(tm) XP 2000+
stepping        : 2
cpu MHz         : 1666.522
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov
pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow
bogomips        : 3301.37
Comment 1 Jakub Jelinek 2005-03-04 04:56:58 EST
Unless you can reproduce it with GCC 3.4.3-RH or 4.0.0-0.3x, this won't be
fixed.  FC2 is going to legacy in a few days and all our bugfixing efforts are
aimed at GCC 4.0, 3.4.3 (and 3.2.3).
If you can reproduce it with 3.4.3 or 4.0, please reopen with a preprocessed
testcase.

Note You need to log in before you can comment on or make changes to this bug.